<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.GjjQueryListActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/main_toolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimary"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">


        <LinearLayout
            android:id="@+id/tool_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center">

            <ImageView
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:src="@mipmap/left_icon"
                app:tint="@color/white" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|left"
                android:text="返回"
                android:textColor="@color/white"
                android:textSize="18sp" />
        </LinearLayout>


        <TextView
            android:id="@+id/title_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="国际进港查询"
            android:textColor="@color/white"
            android:textSize="18sp" />


    </androidx.appcompat.widget.Toolbar>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <!--        搜索、列表页-->
        <LinearLayout
            android:id="@+id/searchListFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:visibility="visible">

            <!--            搜索 框 列表区域-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/list_bg"
                android:orientation="vertical"
                android:paddingLeft="20dp"
                android:paddingTop="10dp"
                android:paddingRight="20dp"
                android:paddingBottom="10dp">

                <!--        搜索 区域-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal">

                    <!--            航班日期开始-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="4"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/beginDate"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:hint="请输入航班开始日期"
                            android:singleLine="true"
                            android:textSize="15dp" />

                        <ImageView
                            android:id="@+id/beginDateIcon"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:src="@mipmap/calendar_icon"
                            app:tint="@color/weak_grey" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            航班日期结束-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="4"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/endDate"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:hint="请输入航班结束日期"
                            android:singleLine="true"
                            android:textSize="15dp" />

                        <ImageView
                            android:id="@+id/endDateIcon"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:src="@mipmap/calendar_icon"
                            app:tint="@color/weak_grey" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            运单号-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="4"
                        android:background="@drawable/bg_search_row">

                        <EditText
                            android:id="@+id/wbNo"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/input_edit_text"
                            android:gravity="center"
                            android:hint="请输入运单号"
                            android:imeOptions="actionDone"
                            android:inputType="number"
                            android:singleLine="true"
                            android:textSize="15dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            航班号-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="4"
                        android:background="@drawable/bg_search_row">

                        <EditText
                            android:id="@+id/fno"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/input_edit_text"
                            android:gravity="center"
                            android:hint="请输入航班号"
                            android:imeOptions="actionDone"
                            android:inputType="text"
                            android:singleLine="true"
                            android:textSize="15dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            搜索图标-->
                    <LinearLayout
                        android:id="@+id/searchLayout"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:background="@drawable/search_shape_gnc_ware_house2"
                        android:padding="10dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:src="@mipmap/search"
                            app:tint="@color/colorPrimary" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="10dp"
                        android:layout_height="match_parent" />
                    <!--            筛选图标-->
                    <LinearLayout
                        android:id="@+id/filtrateLayout"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:background="@drawable/search_shape_gnc_ware_house2"
                        android:padding="10dp">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@mipmap/filtrate"
                            app:tint="@color/colorPrimary" />

                    </LinearLayout>

                </LinearLayout>

                <!--列表区域-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_weight="1">

                    <com.scwang.smart.refresh.layout.SmartRefreshLayout
                        android:id="@+id/refreshLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <com.scwang.smart.refresh.header.ClassicsHeader
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/recyclerList"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:overScrollMode="never" />

                        <com.scwang.smart.refresh.footer.ClassicsFooter
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <!--        筛选 页-->
        <LinearLayout
            android:id="@+id/filtrateFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/list_bg"
            android:orientation="vertical"
            android:paddingLeft="20dp"
            android:paddingTop="10dp"
            android:paddingRight="20dp"
            android:paddingBottom="10dp"
            android:visibility="gone">

            <!--            筛选内容-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginLeft="40dp"
                android:layout_marginTop="20dp"
                android:layout_marginRight="40dp"
                android:layout_weight="5"
                android:background="@drawable/home_shape"
                android:orientation="vertical"
                android:paddingLeft="50dp"
                android:paddingTop="10dp"
                android:paddingRight="50dp"
                android:paddingBottom="10dp">

                <ScrollView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <!--                入库时间-->
                        <!--<LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="入库时间" />

                            &lt;!&ndash;内容&ndash;&gt;
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_shape">

                                    <TextView
                                        android:id="@+id/startDateParam"
                                        android:layout_width="match_parent"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:gravity="start|center"
                                        android:hint="开始时间"
                                        android:inputType="text"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text=""
                                        />

                                </LinearLayout>


                                <TextView
                                    android:layout_width="20dp"
                                    android:layout_height="match_parent"
                                    android:gravity="center"
                                    android:text="-"
                                    />

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_shape">

                                    <TextView
                                        android:id="@+id/endDateParam"
                                        android:layout_width="match_parent"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:gravity="start|center"
                                        android:hint="结束时间"
                                        android:inputType="text"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text=""
                                        />

                                </LinearLayout>
                            </LinearLayout>

                        </LinearLayout>-->

                        <!--                航程-->
                        <!--<LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="航程" />

                            &lt;!&ndash;内容&ndash;&gt;
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:id="@+id/hangCheng"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:hint="请输入航程"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>-->

                        <!--                承运人-->
                        <!--<LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="承运人" />

                            &lt;!&ndash;内容&ndash;&gt;
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:id="@+id/carrier"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:hint="请输入承运人"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>-->

                        <!--                库位-->
                        <!--<LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="库位" />

                            &lt;!&ndash;内容&ndash;&gt;
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:id="@+id/kuWei"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:hint="请输入库位"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>-->

                        <!--            目的港-->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="目的港" />

                            <!--内容-->
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:id="@+id/mudiGang"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:hint="请输入目的港"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>

                        <!--                特码-->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="特码" />

                            <!--内容-->
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/spCode"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:gravity="center|start"
                                    android:hint="请选择特码"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>

                        <!--                代理人-->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="代理人" />

                            <!--内容-->
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/agentCode"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:gravity="center|start"
                                    android:hint="请选择代理人"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>


                        <!--                品名(英)-->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="品名(英)" />

                            <!--内容-->
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:id="@+id/goods"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:hint="请输入品名"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>

                        <!--                运单类型-->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="运单类型" />

                            <!--内容-->
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/awbType"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:gravity="center|start"
                                    android:hint="请选择运单类型"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>


                        <!--                业务类型-->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="业务类型" />

                            <!--内容-->
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/businessType"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:gravity="center|start"
                                    android:hint="请选择业务类型"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />
                            </LinearLayout>

                        </LinearLayout>

                        <!--                是否上舱单-->
                        <!--<LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                               android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="是否上舱单" />

                            &lt;!&ndash;内容&ndash;&gt;
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginTop="5dp"
                                android:layout_weight="3"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/isCangDan"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:gravity="center|start"
                                    android:hint="请选择"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text=""
                                    />

                            </LinearLayout>

                        </LinearLayout>-->

                    </LinearLayout>
                </ScrollView>

            </LinearLayout>

            <!--    底部-->
            <LinearLayout

                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:orientation="horizontal"
                android:padding="5dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1" />

                    <TextView
                        android:id="@+id/reset"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/submit_shape"
                        android:gravity="center"
                        android:text="重置"
                        android:textColor="@color/white"
                        />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1" />

                    <TextView
                        android:id="@+id/submit"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/submit_shape"
                        android:gravity="center"
                        android:text="搜索"
                        android:textColor="@color/white"
                        />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1" />

                </LinearLayout>


            </LinearLayout>

        </LinearLayout>
    </FrameLayout>
</LinearLayout>